<?php

///////////////////////////////////////////////////////////////////////////////////////////////////////
// DefaultMembership 1.0.00
// Randem Systems: https://randemsystems.com/support/
// DefaultMembership SMF Install and Subs
// Date: 10/04/2020
// Usage: Inside Package Manager
//
// Function: Install DefaultMembership for SMF
///////////////////////////////////////////////////////////////////////////////////////////////////////

	add_integration_function('integrate_save_registration_settings', 'DefaultMembership_SaveSettings', true);
	add_integration_function('integrate_modify_registration_settings', 'DefaultMembership_ModifySettings', true);
	add_integration_function('integrate_pre_include', '$sourcedir/DefaultMembership_Subs.php', true);
	add_integration_function('integrate_register', 'DefaultMembership_RegOptions', true); 

	DefaultMembership_SetDefaults();

function DefaultMembership_SetDefaults() {

	global $modSettings, $sourcedir;

	require_once($sourcedir . '/Subs.php');
			
	updateSettings(array('default_group' => '0'));
	updateSettings(array('default_groupname' => 'Regular'));
	updateSettings(array('default_groupindex' => '0'));
	
	$modSettings['default_group'] = 0;
	$modSettings['default_groupname'] = 'Regular';
	$modSettings['default_groupindex'] = 0;
}	
?>