<?php
///////////////////////////////////////////////////////////////////////////////////////////////////////
// DefaultMembership 1.0.00
// Randem Systems: https://randemsystems.com/support/
// DefaultMembership SMF Uninstall
// Date: 10/04/2020
// Usage: Inside Package Manager
//
// Function: Uninstall DefaultMembership for SMF
///////////////////////////////////////////////////////////////////////////////////////////////////////

	remove_integration_function('integrate_save_registration_settings', 'DefaultMembership_SaveSettings');
	remove_integration_function('integrate_modify_registration_settings', 'DefaultMembership_ModifySettings');
	remove_integration_function('integrate_pre_include', '$sourcedir/DefaultMembership_Subs.php');
	remove_integration_function('integrate_register', 'DefaultMembership_RegOptions');

	DefaultMembership_RemoveSettings();

function DefaultMembership_RemoveSettings() {

	global $sourcedir, $smcFunc;

	require_once($sourcedir . '/Subs.php');

	// Delete SMF database variables for Default Membership

	$smcFunc['db_query']('', '
		DELETE FROM {db_prefix}settings WHERE `variable` = {string:variable1}
		OR `variable` = {string:variable2} OR `variable` = {string:variable3}',
		array(
		'variable1' => 'default_group',
		'variable2' => 'default_groupindex',
		'variable3' => 'default_groupname',
		)
	);
}

?>